package resumable.js.upload;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.HashMap;
import resumable.js.upload.ResumableInfo;

public class ResumableInfoStorage {
  private static resumable.js.upload.ResumableInfoStorage sInstance;
  
  public static synchronized resumable.js.upload.ResumableInfoStorage getInstance() {
    if (sInstance == null)
      sInstance = new resumable.js.upload.ResumableInfoStorage(); 
    return sInstance;
  }
  
  private HashMap<String, ResumableInfo> mMap = new HashMap<>();
  
  public synchronized ResumableInfo get(int resumableChunkSize, long resumableTotalSize, String resumableIdentifier, String resumableFilename, String resumableRelativePath, String resumableFilePath) {
    ResumableInfo info = this.mMap.get(resumableIdentifier);
    if (info == null) {
      info = new ResumableInfo();
      info.resumableChunkSize = resumableChunkSize;
      info.resumableTotalSize = resumableTotalSize;
      info.resumableIdentifier = resumableIdentifier;
      info.resumableFilename = resumableFilename;
      info.resumableRelativePath = resumableRelativePath;
      info.resumableFilePath = resumableFilePath;
      this.mMap.put(resumableIdentifier, info);
    } 
    return info;
  }
  
  public void remove(ResumableInfo info) {
    this.mMap.remove(info.resumableIdentifier);
  }
}
